%% Archivo de tratamiento de datos Tratamiento_datostfg.m

% Autor: YOUSSEF EL OUARDI

%% PROTECCIN FRENTE A LA CORROSIN DE ESPUMAS DE MAGNESIO CON APLICAIONES BIOMDICAS

clc; clearvars; close all

%% Load Data file

datos_tfg

%% Graphic representation for Rp

% Several reductions of GO for each layer

figure('Name','Resistencia a la Polarizacin (Rp) 1','NumberTitle','off')
    set(gcf,...
    'Units','Normalized',...
    'Position',[0,0,0.8,0.8],...
    'PaperPositionMode','Auto')

hold on
plot(x_E1RGO,y_E1RGO*1000/A,'b+');    plot(x_Q1RGO,y_Q1RGO*1000/A,'r:');  
plot(x_MBRGO4,y_MBRGO4*1000/A,'ro');  plot(x_MPLRGO4,y_MPLRGO4*1000/A,'g*');
plot(x_MPRGO4,y_MPRGO4*1000/A,'c--'); plot(x_MRGO4,y_MRGO4*1000/A,'m.');
plot(x_QRGO2,y_QRGO2*1000/A,'k.-');   plot(x_QRGO4,y_QRGO4*1000/A,'yx')
plot(x_QRGO6,y_QRGO6*1000/A,'ks');    plot(x_QMDit,y_QMDit*1000/A,'bd');
plot(x_M0,y_M0*1000/A,'kd');
grid on
box off

xlabel('E [V]');
ylabel('I [mA/cm^2]');

legend('E1','Q1','Q4BSA','Q4Plasma','Q4PAS','QM4','Q2','Q4','Q6','MDit','M0');

print(gcf,'-depsc','Rp1.eps');

% One Reduction of several GO layer

figure('Name','Resistencia a la Polarizacin (Rp) 2','NumberTitle','off')

set(gcf,...
    'Units','Normalized',...
    'Position',[0,0,0.8,0.8],...
    'PaperPositionMode','Auto')

hold on
plot(x_E1RGO,y_E1RGO*1000/A,'b+');    plot(x_Q1RGO,y_Q1RGO*1000/A,'r:');
plot(x_Q2GO,y_Q2GO*1000/A,'g*');     plot(x_Q4GO,y_Q4GO*1000/A,'mx');
plot(x_M0,y_M0*1000/A,'kd');
grid on
box off

xlabel('E [V]');
ylabel('I [mA/cm^2]');

legend('E1','Q1','Q2','Q4','M0');

print(gcf,'-depsc','Rp2.eps');

%% Graphic representation for Tafel  

% Several reductions of GO for each layer

figure('Name','Curvas de polarizacin TAFEL 1','NumberTitle','off')
    set(gcf,...
    'Units','Normalized',...
    'Position',[0,0,0.8,0.8],...
    'PaperPositionMode','Auto')

hold on
plot(xT_E1RGO,log(yT_E1RGO),'b+');    plot(xT_Q1RGO,log(yT_Q1RGO),'r:');  
plot(xT_MBRGO4,log(yT_MBRGO4),'ro');  plot(xT_MPLRGO4,log(yT_MPLRGO4),'g*');
plot(xT_MPRGO4,log(yT_MPRGO4),'c--'); plot(xT_MRGO4,log(yT_MRGO4),'m.');
plot(xT_QRGO2,log(yT_QRGO2),'k.-');   plot(xT_QRGO4,log(yT_QRGO4),'yx')
plot(xT_QRGO6,log(yT_QRGO6),'ks');    plot(xT_QMDit,log(yT_QMDit),'bd');
plot(xT_M0,log(yT_M0),'kd');
grid on
box off

xlabel('E [V]');
ylabel('log(mA/cm^2)');

legend('E1','Q1','Q4BSA','Q4Plasma','Q4PAS','QM4','Q2','Q4','Q6','MDit','M0','Location','Best');

print(gcf,'-depsc','Tafel_1.eps');

% One Reduction of several GO layer

figure('Name','Curvas de polarizacin TAFEL 2','NumberTitle','off')

set(gcf,...
    'Units','Normalized',...
    'Position',[0,0,0.8,0.8],...
    'PaperPositionMode','Auto')

hold on
plot(xT_E1RGO,log(yT_E1RGO),'b+');    plot(xT_Q1RGO,log(yT_Q1RGO),'r:');
plot(xT_Q2GO,log(yT_Q2GO),'g*:');     plot(xT_Q4GO,log(yT_Q4GO),'mx');
plot(xT_M0,log(yT_M0),'kd');
grid on
box off

xlabel('E [V]');
ylabel('log(mA/cm^2)');

legend('E1','Q1','Q2','Q4','M0','Location','Best');

print(gcf,'-depsc','Tafel_2.eps');

%% Graphic representation of IMPEDANCE

% Several reductions of GO for each layer

figure('Name','EIS 1','NumberTitle','off')
    set(gcf,...
    'Units','Normalized',...
    'Position',[0,0,0.8,0.8],...
    'PaperPositionMode','Auto')

hold on
plot(xI_E1RGO,yI_E1RGO,'b+',xxI_E1RGO,yyI_E1RGO,'b');    plot(xI_Q1RGO,yI_Q1RGO,'rs',xxI_Q1RGO,yyI_Q1RGO,'r');  
plot(xI_MBRGO4,yI_MBRGO4,'ro',xxI_MBRGO4,yyI_MBRGO4,'r');  plot(xI_MPLRGO4,yI_MPLRGO4,'g*',xxI_MPLRGO4,yyI_MPLRGO4,'g');
plot(xI_MPRGO4,yI_MPRGO4,'c--',xxI_MPRGO4,yyI_MPRGO4,'c'); plot(xI_MRGO4,yI_MRGO4,'m.',xxI_MRGO4,yyI_MRGO4,'m');
plot(xI_QRGO2,yI_QRGO2,'kd',xxI_QRGO2,yyI_QRGO2,'k');   plot(xI_QRGO4,yI_QRGO4,'kx',xxI_QRGO4,yyI_QRGO4,'k')
plot(xI_M0,yI_M0,'ks',xxI_M0,yyI_M0,'k');   plot(xI_QMDit,yI_QMDit,'bd',xxI_QMDit,yyI_QMDit,'b');
grid on
box off

xlabel('Z [Ohm]');
ylabel('Z" [Ohm]');

legend('E1','E1_s','Q1','Q1_s','Q4BSA','Q4BSA_s','Q4Plasma','Q4Plasma_s','Q4PAS','Q4PAS_s','QM4','QM4_s','Q2','Q2_s','Q4','Q4_s','M0','M0_s','MDit','MDit_s');

print(gcf,'-depsc','EIS_1.eps');

% One Reduction of several GO layer

figure('Name','EIS 2','NumberTitle','off')

set(gcf,...
    'Units','Normalized',...
    'Position',[0,0,0.8,0.8],...
    'PaperPositionMode','Auto')

hold on
plot(xI_E1RGO,yI_E1RGO,'b+',xxI_E1RGO,yyI_E1RGO,'b');    plot(xI_Q1RGO,yI_Q1RGO,'rS',xxI_Q1RGO,yyI_Q1RGO,'r');
plot(xI_Q2GO,yI_Q2GO,'g*',xxI_Q2GO,yyI_Q2GO,'g');     plot(xI_Q4GO,yI_Q4GO,'mx',xxI_Q4GO,yyI_Q4GO,'m');
plot(xI_M0,yI_M0,'ks',xxI_M0,yyI_M0,'k');
grid on
box off

xlabel('Z [Ohm]');
ylabel('Z" [Ohm]');

legend('E1','E1_s','Q1','Q1_s','Q2','Q2_s','Q4','Q4_s','M0','M0_s');


print(gcf,'-depsc','EIS_2.eps');



